vim开启python支持

1. 检查vim是否支持python

检查vim是否支持python

vim --version | grep python

若python标红

则vim不支持python

2. 下载vim8源码

git clone https://github.com/vim/vim.git

2. 编译安装vim8

cd vim/src make clean ./configure --with-features=huge --enable-python3interp --enable-pythoninterp --with-python-config-dir=/usr/lib/python2.7/config-x86_64-linux-gnu/ --enable-rubyinterp --enable-luainterp --enable-perlinterp --with-python-config-dir=/usr/lib/python2.7/config-x86_64-linux-gnu/ --enable-multibyte --enable-cscope      --prefix=/usr/local/vim/ sudo make install

备注:

--with-features=huge:支持最大特性

--enable-rubyinterp:打开对ruby编写的插件的支持

--enable-pythoninterp:打开对python编写的插件的支持

--enable-python3interp:打开对python3编写的插件的支持

--enable-luainterp:打开对lua编写的插件的支持

--enable-perlinterp:打开对perl编写的插件的支持

--enable-multibyte:打开多字节支持,可以在Vim中输入中文

--enable-cscope:打开对cscope的支持

--with-python-config-dir=/usr/lib/python2.7/config-x86_64-linux-gnu/ 指定python 路径

--with-python-config-dir=/usr/lib/python3.5/config-3.5m-x86_64-linux-gnu/ 指定python3路径

--prefix=/usr/local/vim:指定将要安装到的路径(自行创建)

如果出现问题请自得安装python-dev 再执行上面命令

sudo apt-get install python-dev

sudo apt-get install python3-dev

sudo apt-get install libncurses5-dev



本文为我原创

本文禁止转载或摘编

-- --
  • 投诉或建议
评论